Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class MyMethodAdapter

    java.lang.Object
      org.objectweb.asm.MethodAdapter
          org.codehaus.groovy.classgen.MyMethodAdapter

    class MyMethodAdapter
    extends org.objectweb.asm.MethodAdapter

generates a Meta Object Protocol method, that is used to call a non public method, or to make a call to super.

param:
  mopCalls list of methods a mop call method should be generated for

param:
  useThis true if "this" should be used for the naming

Constructor Summary
`MyMethodAdapter()`

Method Summary
`void` | `visitFieldInsn(int opcode, String owner, String name, String desc)`
`void` | `visitIincInsn(int var, int increment)`
`void` | `visitInsn(int opcode)`
`void` | `visitIntInsn(int opcode, int operand)`
`void` | `visitJumpInsn(int opcode, org.objectweb.asm.Label label)`
`void` | `visitLabel(org.objectweb.asm.Label label)`
`void` | `visitLdcInsn(Object cst)`
`void` | `visitLookupSwitchInsn(org.objectweb.asm.Label dflt, int[] keys, org.objectweb.asm.Label[] labels)`
`void` | `visitMethodInsn(int opcode, String owner, String name, String desc)`
`void` | `visitMultiANewArrayInsn(String desc, int dims)`
`void` | `visitTableSwitchInsn(int min, int max, org.objectweb.asm.Label dflt, org.objectweb.asm.Label[] labels)`
`void` | `visitTryCatchBlock(org.objectweb.asm.Label start, org.objectweb.asm.Label end, org.objectweb.asm.Label handler, String type)`
`void` | `visitTypeInsn(int opcode, String desc)`
`void` | `visitVarInsn(int opcode, int var)`

Methods inherited from class org.objectweb.asm.MethodAdapter
visitAnnotation, visitAnnotationDefault, visitAttribute, visitCode, visitEnd, visitFieldInsn, visitFrame, visitIincInsn, visitInsn, visitIntInsn, visitJumpInsn, visitLabel, visitLdcInsn, visitLineNumber, visitLocalVariable, visitLookupSwitchInsn, visitMaxs, visitMethodInsn, visitMultiANewArrayInsn, visitParameterAnnotation, visitTableSwitchInsn, visitTryCatchBlock, visitTypeInsn, visitVarInsn, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### MyMethodAdapter

    public MyMethodAdapter()

Method Detail

### visitFieldInsn

    public void visitFieldInsn(int opcode, String owner, String name, String desc)

### visitIincInsn

    public void visitIincInsn(int var, int increment)

### visitInsn

    public void visitInsn(int opcode)

### visitIntInsn

    public void visitIntInsn(int opcode, int operand)

### visitJumpInsn

    public void visitJumpInsn(int opcode, org.objectweb.asm.Label label)

### visitLabel

    public void visitLabel(org.objectweb.asm.Label label)

### visitLdcInsn

    public void visitLdcInsn(Object cst)

### visitLookupSwitchInsn

    public void visitLookupSwitchInsn(org.objectweb.asm.Label dflt, int[] keys, org.objectweb.asm.Label[] labels)

### visitMethodInsn

    public void visitMethodInsn(int opcode, String owner, String name, String desc)

### visitMultiANewArrayInsn

    public void visitMultiANewArrayInsn(String desc, int dims)

### visitTableSwitchInsn

    public void visitTableSwitchInsn(int min, int max, org.objectweb.asm.Label dflt, org.objectweb.asm.Label[] labels)

### visitTryCatchBlock

    public void visitTryCatchBlock(org.objectweb.asm.Label start, org.objectweb.asm.Label end, org.objectweb.asm.Label handler, String type)

### visitTypeInsn

    public void visitTypeInsn(int opcode, String desc)

### visitVarInsn

    public void visitVarInsn(int opcode, int var)

Copyright © 2003-2009 The Codehaus. All rights reserved.